commit 2c88773d30f8bd3c438a8fec958d4549dd1f049e
Author: Vít Mazín <vit.mazin@seznam.cz>
Date:   Sun Mar 31 14:54:06 2019 +0200

    DOT loader rework

diff --git a/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/EdgeDTO.java b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/EdgeDTO.java
new file mode 100644
index 0000000..7fa622c
--- /dev/null
+++ b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/EdgeDTO.java
@@ -0,0 +1,60 @@
+package cz.zcu.kiv.imiger.plugin.dot.dto;
+
+import java.util.HashMap;
+
+public class EdgeDTO {
+
+    private String name;
+    private int idFrom;
+    private int idTo;
+    private int id;
+    private HashMap<String, String> attributes;
+
+    public EdgeDTO(String name, int idFrom, int idTo, int id, HashMap<String, String> attributes) {
+        this.name = name;
+        this.idFrom = idFrom;
+        this.idTo = idTo;
+        this.id = id;
+        this.attributes = attributes;
+    }
+
+    public String getName() {
+        return name;
+    }
+
+    public void setName(String name) {
+        this.name = name;
+    }
+
+    public int getIdFrom() {
+        return idFrom;
+    }
+
+    public void setIdFrom(int idFrom) {
+        this.idFrom = idFrom;
+    }
+
+    public int getIdTo() {
+        return idTo;
+    }
+
+    public void setIdTo(int idTo) {
+        this.idTo = idTo;
+    }
+
+    public int getId() {
+        return id;
+    }
+
+    public void setId(int id) {
+        this.id = id;
+    }
+
+    public HashMap<String, String> getAttributes() {
+        return attributes;
+    }
+
+    public void setAttributes(HashMap<String, String> attributes) {
+        this.attributes = attributes;
+    }
+}
diff --git a/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/VertexDTO.java b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/VertexDTO.java
new file mode 100644
index 0000000..9fce237
--- /dev/null
+++ b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/dto/VertexDTO.java
@@ -0,0 +1,40 @@
+package cz.zcu.kiv.imiger.plugin.dot.dto;
+
+import java.util.HashMap;
+
+public class VertexDTO {
+
+    private String name;
+    private int id;
+    private HashMap<String, String> attributes;
+
+    public VertexDTO(String name, int id, HashMap<String, String> attributes) {
+        this.name = name;
+        this.id = id;
+        this.attributes = attributes;
+    }
+
+    public String getName() {
+        return name;
+    }
+
+    public void setName(String name) {
+        this.name = name;
+    }
+
+    public int getId() {
+        return id;
+    }
+
+    public void setId(int id) {
+        this.id = id;
+    }
+
+    public HashMap<String, String> getAttributes() {
+        return attributes;
+    }
+
+    public void setAttributes(HashMap<String, String> attributes) {
+        this.attributes = attributes;
+    }
+}
diff --git a/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/BaseDOTLoader.java b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/BaseDOTLoader.java
index 63cbaf7..8cc5d1a 100644
--- a/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/BaseDOTLoader.java
+++ b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/BaseDOTLoader.java
@@ -1,11 +1,13 @@
 package cz.zcu.kiv.imiger.plugin.dot.loader;
 
-import cz.zcu.kiv.imiger.vo.BaseEdge;
-import cz.zcu.kiv.imiger.vo.BaseVertex;
+import cz.zcu.kiv.imiger.plugin.dot.dto.EdgeDTO;
+import cz.zcu.kiv.imiger.plugin.dot.dto.VertexDTO;
+import cz.zcu.kiv.imiger.vo.AttributeType;
 
+import java.util.HashSet;
 import java.util.List;
 
-public abstract class BaseDOTLoader<V extends BaseVertex, E extends BaseEdge> {
+public abstract class BaseDOTLoader<V extends VertexDTO, E extends EdgeDTO> {
 
     private final String dotInput;
 
@@ -16,4 +18,6 @@ public abstract class BaseDOTLoader<V extends BaseVertex, E extends BaseEdge> {
     public abstract List<V> getVerticies();
 
     public abstract List<E> getEdges();
+
+    public abstract HashSet<AttributeType> getAttributeTypes();
 }
diff --git a/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/PaypalDOTLoader.java b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/PaypalDOTLoader.java
new file mode 100644
index 0000000..b329a46
--- /dev/null
+++ b/sources/imiger-dot-converter/src/main/java/cz/zcu/kiv/imiger/plugin/dot/loader/PaypalDOTLoader.java
@@ -0,0 +1,30 @@
+package cz.zcu.kiv.imiger.plugin.dot.loader;
+
+import cz.zcu.kiv.imiger.plugin.dot.dto.EdgeDTO;
+import cz.zcu.kiv.imiger.plugin.dot.dto.VertexDTO;
+import cz.zcu.kiv.imiger.vo.AttributeType;
+
+import java.util.HashSet;
+import java.util.List;
+
+public class PaypalDOTLoader extends BaseDOTLoader<VertexDTO, EdgeDTO> {
+
+    public PaypalDOTLoader(String dotInput) {
+        super(dotInput);
+    }
+
+    @Override
+    public List<VertexDTO> getVerticies() {
+        return null;
+    }
+
+    @Override
+    public List<EdgeDTO> getEdges() {
+        return null;
+    }
+
+    @Override
+    public HashSet<AttributeType> getAttributeTypes() {
+        return null;
+    }
+}