commit 3f529b6b3542a3ea8a2e17cbb0f94aa82cc19631
Author: Patrik Harag <patrikharag@gmail.com>
Date:   Sat Apr 13 22:55:29 2019 +0200

    Add RAW examples (from tests)

diff --git a/examples/IMiGEr RAW json/simple-1.json b/examples/IMiGEr RAW json/simple-1.json
new file mode 100644
index 0000000..cb47b44
--- /dev/null
+++ b/examples/IMiGEr RAW json/simple-1.json	
@@ -0,0 +1,220 @@
+{
+  "attributeTypes": [
+    {
+      "dataType": "STRING",
+      "name": "D",
+      "text": "0"
+    },
+    {
+      "dataType": "STRING",
+      "name": "C",
+      "text": "1"
+    },
+    {
+      "dataType": "STRING",
+      "name": "B",
+      "text": "2"
+    },
+    {
+      "dataType": "STRING",
+      "name": "A",
+      "text": "3"
+    }
+  ],
+  "edgeArchetypes": [
+    {
+      "name": "edgeArchetype1",
+      "text": ""
+    },
+    {
+      "name": "edgeArchetype2",
+      "text": ""
+    }
+  ],
+  "vertexArchetypes": [
+    {
+      "icon": "",
+      "name": "1",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "2",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "3",
+      "text": ""
+    }
+  ],
+  "vertices": [
+    {
+      "archetype": 2,
+      "attributes": [
+        [
+          "D",
+          "E"
+        ],
+        [
+          "B",
+          "W"
+        ],
+        [
+          "A",
+          "Q"
+        ]
+      ],
+      "id": 1,
+      "text": "",
+      "name": "V1",
+      "position": {
+        "x": 753.25,
+        "y": 693.75
+      }
+    },
+    {
+      "archetype": 1,
+      "attributes": [
+        [
+          "D",
+          "E"
+        ],
+        [
+          "C",
+          "Q"
+        ],
+        [
+          "B",
+          "W"
+        ]
+      ],
+      "id": 2,
+      "text": "",
+      "name": "V2",
+      "position": {
+        "x": 534.25,
+        "y": 897.5
+      }
+    },
+    {
+      "archetype": 0,
+      "attributes": [
+        [
+          "D",
+          "Q"
+        ],
+        [
+          "C",
+          "W"
+        ],
+        [
+          "A",
+          "E"
+        ]
+      ],
+      "id": 3,
+      "text": "",
+      "name": "V3",
+      "position": {
+        "x": 961.25,
+        "y": 899.75
+      }
+    }
+  ],
+  "edges": [
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [
+            [
+              "D",
+              "E"
+            ],
+            [
+              "C",
+              "W"
+            ]
+          ],
+          "id": 3
+        }
+      ],
+      "from": 1,
+      "to": 3,
+      "text": "",
+      "id": 1
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [
+            [
+              "D",
+              "E"
+            ],
+            [
+              "B",
+              "W"
+            ],
+            [
+              "A",
+              "Q"
+            ]
+          ],
+          "id": 1
+        },
+        {
+          "archetype": 1,
+          "attributes": [
+            [
+              "D",
+              "D"
+            ],
+            [
+              "B",
+              "S"
+            ],
+            [
+              "A",
+              "A"
+            ]
+          ],
+          "id": 2
+        }
+      ],
+      "from": 1,
+      "to": 2,
+      "text": "",
+      "id": 2
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 1,
+          "attributes": [
+            [
+              "C",
+              "T"
+            ],
+            [
+              "B",
+              "R"
+            ]
+          ],
+          "id": 4
+        }
+      ],
+      "from": 3,
+      "to": 1,
+      "text": "",
+      "id": 3
+    }
+  ],
+  "possibleEnumValues": {},
+  "groups": [],
+  "sideBar": [],
+  "highlightedVertex": "",
+  "highlightedEdge": ""
+}
\ No newline at end of file
diff --git a/examples/IMiGEr RAW json/simple-2.json b/examples/IMiGEr RAW json/simple-2.json
new file mode 100644
index 0000000..59bbb9b
--- /dev/null
+++ b/examples/IMiGEr RAW json/simple-2.json	
@@ -0,0 +1,160 @@
+{
+  "attributeTypes": [],
+  "edgeArchetypes": [
+    {
+      "name": "edge",
+      "text": ""
+    }
+  ],
+  "vertexArchetypes": [
+    {
+      "icon": "",
+      "name": "1",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "2",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "3",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "4",
+      "text": ""
+    }
+  ],
+  "vertices": [
+    {
+      "archetype": 0,
+      "attributes": [],
+      "id": 1,
+      "text": "",
+      "name": "V1",
+      "position": {
+        "x": 989.5,
+        "y": 684
+      }
+    },
+    {
+      "archetype": 1,
+      "attributes": [],
+      "id": 2,
+      "text": "",
+      "name": "V2",
+      "position": {
+        "x": 985.75,
+        "y": 871.5
+      }
+    },
+    {
+      "archetype": 1,
+      "attributes": [],
+      "id": 3,
+      "text": "",
+      "name": "V3",
+      "position": {
+        "x": 988,
+        "y": 540
+      }
+    },
+    {
+      "archetype": 3,
+      "attributes": [],
+      "id": 4,
+      "text": "",
+      "name": "V4",
+      "position": {
+        "x": 694,
+        "y": 678.25
+      }
+    },
+    {
+      "archetype": 2,
+      "attributes": [],
+      "id": 5,
+      "text": "",
+      "name": "V5",
+      "position": {
+        "x": 702.75,
+        "y": 755
+      }
+    }
+  ],
+  "edges": [
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 0
+        }
+      ],
+      "from": 1,
+      "to": 2,
+      "text": "",
+      "id": 1
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 4
+        }
+      ],
+      "from": 4,
+      "to": 5,
+      "text": "",
+      "id": 2
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 2
+        }
+      ],
+      "from": 1,
+      "to": 4,
+      "text": "",
+      "id": 3
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 1
+        }
+      ],
+      "from": 3,
+      "to": 1,
+      "text": "",
+      "id": 4
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 3
+        }
+      ],
+      "from": 4,
+      "to": 1,
+      "text": "",
+      "id": 5
+    }
+  ],
+  "possibleEnumValues": {},
+  "groups": [],
+  "sideBar": [],
+  "highlightedVertex": "",
+  "highlightedEdge": ""
+}
\ No newline at end of file
diff --git a/examples/IMiGEr RAW json/simple-icons.json b/examples/IMiGEr RAW json/simple-icons.json
new file mode 100644
index 0000000..27174dc
--- /dev/null
+++ b/examples/IMiGEr RAW json/simple-icons.json	
@@ -0,0 +1,94 @@
+{
+  "attributeTypes": [],
+  "edgeArchetypes": [
+    {
+      "name": "edge",
+      "text": ""
+    }
+  ],
+  "vertexArchetypes": [
+    {
+      "icon": "<rect class=\"testingArchetypeIcon\" width=\"12\" height=\"15\" x=\"0\" y =\"0\" stroke=\"none\" fill=\"green\"/>",
+      "name": "SpecifiedIcon",
+      "text": ""
+    },
+    {
+      "icon": "",
+      "name": "UnspecifiedIcon",
+      "text": ""
+    },
+    {
+      "icon": "<text y=\"8\" fill=\"red\">☺</text>",
+      "name": "Smiley",
+      "text": ""
+    }
+  ],
+  "vertices": [
+    {
+      "archetype": 0,
+      "attributes": [],
+      "id": 1,
+      "text": "",
+      "name": "Vertex with specified icon",
+      "position": {
+        "x": 640.5,
+        "y": 408.25
+      }
+    },
+    {
+      "archetype": 1,
+      "attributes": [],
+      "id": 2,
+      "text": "",
+      "name": "Vertex with unspecified icon",
+      "position": {
+        "x": 826.25,
+        "y": 536.75
+      }
+    },
+    {
+      "archetype": 2,
+      "attributes": [],
+      "id": 3,
+      "text": "",
+      "name": "Vertex with smiley as archetype icon",
+      "position": {
+        "x": 438,
+        "y": 537.75
+      }
+    }
+  ],
+  "edges": [
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 1
+        }
+      ],
+      "from": 1,
+      "to": 3,
+      "text": "",
+      "id": 1
+    },
+    {
+      "subedgeInfo": [
+        {
+          "archetype": 0,
+          "attributes": [],
+          "id": 0
+        }
+      ],
+      "from": 1,
+      "to": 2,
+      "text": "",
+      "id": 2
+    }
+  ],
+  "possibleEnumValues": {},
+  "groups": [],
+  "sideBar": [],
+  "highlightedVertex": "",
+  "highlightedEdge": ""
+}